Package org.opensaml.saml.metadata.resolver.filter

# Interface MetadataNodeProcessor

All Known Implementing Classes:
  `EntitiesDescriptorNameProcessor`

public interface MetadataNodeProcessor
A processor of element nodes within a metadata tree. A particular implementation may process or handle more than one type of node.

## Method Summary

Modifier and Type
Method
Description
`void`
`process(XMLObject metadataNode)`
Process a metadata document node.

## Method Details

### process

void process(@Nonnull XMLObject metadataNode) throws FilterException
Process a metadata document node.

Parameters:
  `metadataNode` - the metadata node to process
Throws:
  `FilterException` - if a fatal error is encountered while processing the node